Name:           ocaml-yojson
Version:        1.7.0
Release:        %mkrel 8
Summary:        An optimized parsing and printing library for the JSON format
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/yojson
Source0:        %{url}/releases/download/%{version}/yojson-%{version}.tbz
BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  ocaml-dune
Requires:       ocaml-biniou
Requires:       ocaml-easy-format

%description
Yojson is an optimized parsing and printing library for the JSON
format. It addresses a few shortcomings of json-wheel including 2x
speedup, polymorphic variants and optional syntax for tuples and
variants.

ydump is a pretty-printing command-line program provided with the
yojson package.

The program atdgen can be used to derive OCaml-JSON serializers and
deserializers from type definitions.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-biniou-devel
Requires:       ocaml-easy-format-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n yojson-%{version}

%build
dune build

%install
export DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml
cp -L _build/install/default/bin/* $RPM_BUILD_ROOT%{_bindir}
cp -rL _build/install/default/lib/* $RPM_BUILD_ROOT%{_libdir}/ocaml

%files
%doc README.md Changes
%license LICENSE.md
%dir %{_libdir}/ocaml/yojson
%{_libdir}/ocaml/yojson/META
%{_libdir}/ocaml/yojson/opam
%{_libdir}/ocaml/yojson/*dune*
%{_libdir}/ocaml/yojson/*.cma
%{_libdir}/ocaml/yojson/*.cmi
%{_libdir}/ocaml/yojson/*.cmxs
%{_bindir}/ydump

%files devel
%doc examples/
%doc test.json
%{_libdir}/ocaml/yojson/*.a
%{_libdir}/ocaml/yojson/*.cmt*
%{_libdir}/ocaml/yojson/*.cmx
%{_libdir}/ocaml/yojson/*.cmxa
%{_libdir}/ocaml/yojson/*.ml
%{_libdir}/ocaml/yojson/*.mli


%changelog
* Thu May 19 2022 pterjan <pterjan> 1.7.0-8.mga9
+ Revision: 1859177
- Rebuild for OCaml 4.14

* Tue Apr 05 2022 umeabot <umeabot> 1.7.0-7.mga9
+ Revision: 1844552
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.7.0-6.mga9
+ Revision: 1751009
- Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 1.7.0-5.mga9
+ Revision: 1698346
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.7.0-4.mga8
+ Revision: 1670735
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.7.0-3.mga8
+ Revision: 1551670
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.7.0-2.mga8
+ Revision: 1543720
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 1.7.0-1.mga8
+ Revision: 1482156
- new release + rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 1.4.1-5.mga7
+ Revision: 1325170
- rebuild for new ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-4.mga7
+ Revision: 1299950
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 daviddavid <daviddavid> 1.4.1-3.mga7
+ Revision: 1239774
- rebuild for new ocaml-easy-format 1.3.1

* Sat Mar 24 2018 daviddavid <daviddavid> 1.4.1-2.mga7
+ Revision: 1211814
- move *.cma files to the main pkg

* Sat Mar 24 2018 daviddavid <daviddavid> 1.4.1-1.mga7
+ Revision: 1211803
- new version: 1.4.1

* Sun Nov 26 2017 tv <tv> 1.4.0-1.mga7
+ Revision: 1179918
- new release
- rebuild for new ocaml

* Fri Oct 13 2017 daviddavid <daviddavid> 1.1.8-2.mga7
+ Revision: 1171472
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Thu Feb 18 2016 daviddavid <daviddavid> 1.1.8-1.mga6
+ Revision: 966137
- new version: 1.1.8
- update files list for main package

* Wed Feb 17 2016 umeabot <umeabot> 1.1.7-5.mga6
+ Revision: 964252
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-4.mga5
+ Revision: 744780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-3.mga5
+ Revision: 683134
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.7-2.mga4
+ Revision: 534322
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 1.1.7-1.mga4
+ Revision: 477301
- updated to last version 1.1.7

* Sat Apr 06 2013 malo <malo> 1.1.3-6.mga3
+ Revision: 408632
- fix requires

* Sat Apr 06 2013 malo <malo> 1.1.3-5.mga3
+ Revision: 408571
- remove spurious requires

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-4.mga3
+ Revision: 361726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 blue_prawn <blue_prawn> 1.1.3-3.mga3
+ Revision: 322188
- no change, just a rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.3-2.mga3
+ Revision: 301689
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.1.3-1.mga3
+ Revision: 299111
- new rpm group for ocaml
- updated to last version 1.1.3

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.0.3-1.mga3
+ Revision: 263091
- buildrequires needs the -devel packages
- imported package ocaml-yojson

